"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var FormDisplay_1 = require("../FormDisplay");
;
var NestedFormDisplay = (function (_super) {
    __extends(NestedFormDisplay, _super);
    function NestedFormDisplay(props) {
        var _this = _super.call(this, props) || this;
        _this.renderEntry = _this.renderEntry.bind(_this);
        return _this;
    }
    NestedFormDisplay.prototype.render = function () {
        return (React.createElement("div", { className: 'form-display-nested' },
            React.createElement("div", { className: 'form-display-nested-label' }, this.props.field.label),
            this.props.value.map(this.renderEntry)));
    };
    NestedFormDisplay.prototype.renderEntry = function (entry, index) {
        return (React.createElement("div", { className: 'form-display-nested-entry' },
            this.props.showIndex && React.createElement("div", { className: 'form-display-nested-entry-index' }, index + 1),
            React.createElement(FormDisplay_1.FormDisplay, { fields: this.props.field.fields, registry: this.props.registry, value: entry })));
    };
    return NestedFormDisplay;
}(React.PureComponent));
NestedFormDisplay.defaultProps = {
    value: [{}],
    showIndex: false,
};
exports.NestedFormDisplay = NestedFormDisplay;
